import { useRouteError } from "react-router-dom";
import styles from "./index.module.css";
import {Link} from "react-router-dom";

export default function ErrorPage() {
  const error = useRouteError();
  console.error(error);

  return (
    <div className={styles.errorPage}>
      <h1>Oops!</h1>
      <h2>Erreur 404 - Page non trouvée</h2>
      <p>La donnée que vous recherchez n'existe pas.</p>
      <Link to={`/`}>Retour à la page d'accueil</Link>
    </div>
  );
}